// Requires a graphical library, to handle/display images...
// You might just update this code to your own graphical library

#ifndef REQUIRES_GRAPHICAL_LIBRARY_H
#define REQUIRES_GRAPHICAL_LIBRARY_H

#include <Imagine/Graphics.h>
#include <Imagine/Images.h>
using namespace Imagine;

#include "images.h"
#include "with_graphical_library.h"


namespace MRFSegm {


/*********** A few simple tools first ************/

void add_noise(ColorImage& A, double niv = 180){
  for (int i = 0; i<A.nx; i++)
    for (int j = 0; j<A.ny; j++){
      A(i,j).r() += (rand() * niv / RAND_MAX);
      A(i,j).g() += (rand() * niv / RAND_MAX);
      A(i,j).b() += (rand() * niv / RAND_MAX);
    }  
}


double norme(Color C){
  return sqrt(square(double(C.r())) + square( double(C.g()) ) + square( double(C.b()) ));
}




} // end of namespace

#endif
